Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.joinpoint
Class FieldInvocation

    java.lang.Object
      org.jboss.aop.joinpoint.InvocationBase
          org.jboss.aop.joinpoint.FieldInvocation

All Implemented Interfaces:
  Invocation, Serializable

Direct Known Subclasses:
  FieldReadInvocation, FieldWriteInvocation

public abstract class FieldInvocation
extends InvocationBase

This is a helper wrapper class for an Invocation object. It is used to add or get values or metadata that pertains to an AOP field access or field update.

Version:
  $Revision: 1.18 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`protected Field` | `field`
`protected int` | `index`

Fields inherited from class org.jboss.aop.joinpoint.InvocationBase
`advisor, currentInterceptor, instanceResolver, interceptors, metadata, responseContextInfo, targetObject`

Constructor Summary
`protected` | `FieldInvocation(FieldInfo info, Interceptor[] interceptors)`
`` | `FieldInvocation(Field field, int fieldIndex, Interceptor[] interceptors)`
`protected` | `FieldInvocation(Interceptor[] interceptors)`

Method Summary
`Field` | `getField()` This is the field the invocation is accessing
`int` | `getIndex()` This is an index into the Field[] array accessed through the ClassAdvisor
`Object` | `getMetaData(Object group, Object attr)` This method resolves metadata based on the context of the invocation.
`Object` | `resolveAnnotation(Class annotation)` This method resolves an annotation based on the context of the invocation.

Methods inherited from class org.jboss.aop.joinpoint.InvocationBase
`addResponseAttachment, getAdvisor, getCurrentInterceptor, getInstanceResolver, getInterceptors, getMetaData, getResponseAttachment, getResponseContextInfo, getTargetObject, invokeNext, invokeNext, resolveAnnotation, resolveClassAnnotation, resolveClassMetaData, setAdvisor, setInstanceResolver, setMetaData, setResponseContextInfo, setTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.aop.joinpoint.Invocation
`copy, getWrapper`

Field Detail

### field

    protected transient Field field

### index

    protected int index

Constructor Detail

### FieldInvocation

    public FieldInvocation(Field field,
                           int fieldIndex,
                           Interceptor[] interceptors)

### FieldInvocation

    protected FieldInvocation(Interceptor[] interceptors)

### FieldInvocation

    protected FieldInvocation(FieldInfo info,
                              Interceptor[] interceptors)

Method Detail

### resolveAnnotation

    public Object resolveAnnotation(Class annotation)

  This method resolves an annotation based on the context of the invocation.

  Specified by:
    `resolveAnnotation` in interface `Invocation`
  Overrides:
    `resolveAnnotation` in class `InvocationBase`

### getMetaData

    public Object getMetaData(Object group,
                              Object attr)

  This method resolves metadata based on the context of the invocation. It iterates through its list of MetaDataResolvers to find out the value of the metadata desired. This list usually is ThreadMetaData, InstanceAdvisor.getMetaData ClassAdvisor.getMethodMetaData (or field, or constructor) ClassAdvisor.getDefaultMetaData

  Specified by:
    `getMetaData` in interface `Invocation`
  Overrides:
    `getMetaData` in class `InvocationBase`

### getField

    public Field getField()

  This is the field the invocation is accessing

  Returns:

### getIndex

    public int getIndex()

  This is an index into the Field[] array accessed through the ClassAdvisor

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.